[ARVADOS] updated: 1.1.1-137-gd8971ff
Git user
git at public.curoverse.com
Tue Dec 5 15:09:51 EST 2017
Summary of changes:
build/run-build-packages-all-targets.sh | 8 ++++----
build/run-build-packages-one-target.sh | 15 +++++++++++----
2 files changed, 15 insertions(+), 8 deletions(-)
via d8971ff1526d4698ee00f9fca864beed5a9d7498 (commit)
from f763868dd1202328576e4b393b71bb584190ee39 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit d8971ff1526d4698ee00f9fca864beed5a9d7498
Author: Tom Clegg <tclegg at veritasgenetics.com>
Date: Tue Dec 5 15:08:56 2017 -0500
12721: --version => --build-version. Make iteration mandatory.
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tclegg at veritasgenetics.com>
diff --git a/build/run-build-packages-all-targets.sh b/build/run-build-packages-all-targets.sh
index 1ee8e58..bb2b2af 100755
--- a/build/run-build-packages-all-targets.sh
+++ b/build/run-build-packages-all-targets.sh
@@ -17,7 +17,7 @@ Options:
Run package install tests
--debug
Output debug information (default: false)
---version <string>
+--build-version <string>
Version to build (default: \$ARVADOS_BUILDING_VERSION or 0.1.timestamp.commithash)
WORKSPACE=path Path to the Arvados source tree to build packages from
@@ -43,7 +43,7 @@ fi
set -e
PARSEDOPTS=$(getopt --name "$0" --longoptions \
- help,test-packages,debug,command:,only-test:,version: \
+ help,test-packages,debug,command:,only-test:,build-version: \
-- "" "$@")
if [ $? -ne 0 ]; then
exit 1
@@ -74,7 +74,7 @@ while [ $# -gt 0 ]; do
--only-test)
ONLY_TEST="$1 $2"; shift
;;
- --version)
+ --build-version)
ARVADOS_BUILDING_VERSION="$2"; shift
;;
--)
@@ -92,7 +92,7 @@ cd $(dirname $0)
FINAL_EXITCODE=0
for dockerfile_path in $(find -name Dockerfile | grep package-build-dockerfiles); do
- if ./run-build-packages-one-target.sh --target "$(basename $(dirname "$dockerfile_path"))" --command "$COMMAND" --version "$ARVADOS_BUILDING_VERSION" $DEBUG $TEST_PACKAGES $ONLY_TEST ; then
+ if ./run-build-packages-one-target.sh --target "$(basename $(dirname "$dockerfile_path"))" --command "$COMMAND" --build-version "$ARVADOS_BUILDING_VERSION" $DEBUG $TEST_PACKAGES $ONLY_TEST ; then
true
else
FINAL_EXITCODE=$?
diff --git a/build/run-build-packages-one-target.sh b/build/run-build-packages-one-target.sh
index cf60b5e..aa8d15b 100755
--- a/build/run-build-packages-one-target.sh
+++ b/build/run-build-packages-one-target.sh
@@ -21,7 +21,7 @@ Syntax:
Build only a specific package
--only-test <package>
Test only a specific package
---version <string>
+--build-version <string>
Version to build (default: \$ARVADOS_BUILDING_VERSION or 0.1.timestamp.commithash)
WORKSPACE=path Path to the Arvados source tree to build packages from
@@ -47,7 +47,7 @@ if ! [[ -d "$WORKSPACE" ]]; then
fi
PARSEDOPTS=$(getopt --name "$0" --longoptions \
- help,debug,test-packages,target:,command:,only-test:,only-build:,version: \
+ help,debug,test-packages,target:,command:,only-test:,only-build:,build-version: \
-- "" "$@")
if [ $? -ne 0 ]; then
exit 1
@@ -85,7 +85,7 @@ while [ $# -gt 0 ]; do
--test-packages)
test_packages=1
;;
- --version)
+ --build-version)
ARVADOS_BUILDING_VERSION="$2"
shift
;;
@@ -101,9 +101,16 @@ done
set -e
-IFS=- read ARVADOS_BUILDING_VERSION ARVADOS_BUILDING_ITERATION <<EOF
+if [[ -n "$ARVADOS_BUILDING_VERSION" ]]; then
+ IFS=- read ARVADOS_BUILDING_VERSION ARVADOS_BUILDING_ITERATION <<EOF
$ARVADOS_BUILDING_VERSION
EOF
+ if [[ -z "$ARVADOS_BUILDING_ITERATION" ]]; then
+ echo >&2 "FATAL: version does not include an iteration. Try --build-version ${ARVADOS_BUILDING_VERSION}-1"
+ exit 1
+ fi
+fi
+
if [[ -n "$test_packages" ]]; then
if [[ -n "$(find $WORKSPACE/packages/$TARGET -name '*.rpm')" ]] ; then
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list